<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Writer\Ods</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new Ods.">
            <span class="description">Create a new Ods.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getDiskCachingDirectory" title="getDiskCachingDirectory ::Get disk caching directory.">
            <span class="description">Get disk caching directory.</span><pre>getDiskCachingDirectory</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getIncludeCharts" title="getIncludeCharts ::Write charts in workbook?
       If this is true, then the Writer will write definitions for any charts that exist in the PhpSpreadsheet object.">
            <span class="description">Write charts in workbook?
       If this is true, then the Writer will write definitions for any charts that exist in the PhpSpreadsheet object.</span><pre>getIncludeCharts</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getPreCalculateFormulas" title="getPreCalculateFormulas ::Get Pre-Calculate Formulas flag
    If this is true (the default), then the writer will recalculate all formulae in a workbook when saving,
       so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet
       viewer when opening the file
    If false, then formulae are not calculated on save. This is faster for saving in PhpSpreadsheet, but slower
       when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself.">
            <span class="description">Get Pre-Calculate Formulas flag
    If this is true (the default), then the writer will recalculate all formulae in a workbook when saving,
       so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet
       viewer when opening the file
    If false, then formulae are not calculated on save. This is faster for saving in PhpSpreadsheet, but slower
       when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself.</span><pre>getPreCalculateFormulas</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSpreadsheet" title="getSpreadsheet ::Get Spreadsheet object.">
            <span class="description">Get Spreadsheet object.</span><pre>getSpreadsheet</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getUseDiskCaching" title="getUseDiskCaching ::Get use disk caching where possible?">
            <span class="description">Get use disk caching where possible?</span><pre>getUseDiskCaching</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getWriterPart" title="getWriterPart ::Get writer part.">
            <span class="description">Get writer part.</span><pre>getWriterPart</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_save" title="save ::Save PhpSpreadsheet to file.">
            <span class="description">Save PhpSpreadsheet to file.</span><pre>save</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setIncludeCharts" title="setIncludeCharts ::Set write charts in workbook
       Set to true, to advise the Writer to include any charts that exist in the PhpSpreadsheet object.">
            <span class="description">Set write charts in workbook
       Set to true, to advise the Writer to include any charts that exist in the PhpSpreadsheet object.</span><pre>setIncludeCharts</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setPreCalculateFormulas" title="setPreCalculateFormulas ::Set Pre-Calculate Formulas
       Set to true (the default) to advise the Writer to calculate all formulae on save
       Set to false to prevent precalculation of formulae on save.">
            <span class="description">Set Pre-Calculate Formulas
       Set to true (the default) to advise the Writer to calculate all formulae on save
       Set to false to prevent precalculation of formulae on save.</span><pre>setPreCalculateFormulas</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSpreadsheet" title="setSpreadsheet ::Set Spreadsheet object.">
            <span class="description">Set Spreadsheet object.</span><pre>setSpreadsheet</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setUseDiskCaching" title="setUseDiskCaching ::Set use disk caching where possible?">
            <span class="description">Set use disk caching where possible?</span><pre>setUseDiskCaching</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_createZip" title="createZip ::Create zip object.">
                                <span class="description">Create zip object.</span><pre>createZip</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Ods</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Writer.BaseWriter.html">\PhpOffice\PhpSpreadsheet\Writer\BaseWriter</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Ods.</h2>
                            <pre>__construct(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_createZip"></a>
                        <div class="element clickable methodprivate method_createZip" data-toggle="collapse" data-target=".method_createZip .collapse">
                            <h2>Create zip object.</h2>
                            <pre>createZip(string $pFilename): \ZipArchive</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\ZipArchive</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDiskCachingDirectory"></a>
                        <div class="element clickable methodpublic method_getDiskCachingDirectory inherited" data-toggle="collapse" data-target=".method_getDiskCachingDirectory .collapse">
                            <h2>Get disk caching directory.</h2>
                            <pre>getDiskCachingDirectory(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIncludeCharts"></a>
                        <div class="element clickable methodpublic method_getIncludeCharts inherited" data-toggle="collapse" data-target=".method_getIncludeCharts .collapse">
                            <h2>Write charts in workbook?
       If this is true, then the Writer will write definitions for any charts that exist in the PhpSpreadsheet object.</h2>
                            <pre>getIncludeCharts(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>If false (the default) it will ignore any charts defined in the PhpSpreadsheet object.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getPreCalculateFormulas"></a>
                        <div class="element clickable methodpublic method_getPreCalculateFormulas inherited" data-toggle="collapse" data-target=".method_getPreCalculateFormulas .collapse">
                            <h2>Get Pre-Calculate Formulas flag
    If this is true (the default), then the writer will recalculate all formulae in a workbook when saving,
       so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet
       viewer when opening the file
    If false, then formulae are not calculated on save. This is faster for saving in PhpSpreadsheet, but slower
       when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself.</h2>
                            <pre>getPreCalculateFormulas(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSpreadsheet"></a>
                        <div class="element clickable methodpublic method_getSpreadsheet" data-toggle="collapse" data-target=".method_getSpreadsheet .collapse">
                            <h2>Get Spreadsheet object.</h2>
                            <pre>getSpreadsheet(): \PhpOffice\PhpSpreadsheet\Spreadsheet</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getUseDiskCaching"></a>
                        <div class="element clickable methodpublic method_getUseDiskCaching inherited" data-toggle="collapse" data-target=".method_getUseDiskCaching .collapse">
                            <h2>Get use disk caching where possible?</h2>
                            <pre>getUseDiskCaching(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getWriterPart"></a>
                        <div class="element clickable methodpublic method_getWriterPart" data-toggle="collapse" data-target=".method_getWriterPart .collapse">
                            <h2>Get writer part.</h2>
                            <pre>getWriterPart(string $pPartName): null|\PhpOffice\PhpSpreadsheet\Writer\Ods\WriterPart</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pPartName</h4>
                                                <code>string</code><p><p>Writer part name</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>null|<a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Ods.WriterPart.html">\PhpOffice\PhpSpreadsheet\Writer\Ods\WriterPart</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_save"></a>
                        <div class="element clickable methodpublic method_save" data-toggle="collapse" data-target=".method_save .collapse">
                            <h2>Save PhpSpreadsheet to file.</h2>
                            <pre>save(string $pFilename)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setIncludeCharts"></a>
                        <div class="element clickable methodpublic method_setIncludeCharts inherited" data-toggle="collapse" data-target=".method_setIncludeCharts .collapse">
                            <h2>Set write charts in workbook
       Set to true, to advise the Writer to include any charts that exist in the PhpSpreadsheet object.</h2>
                            <pre>setIncludeCharts(boolean $pValue): \PhpOffice\PhpSpreadsheet\Writer\IWriter</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Set to false (the default) to ignore charts.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.IWriter.html">\PhpOffice\PhpSpreadsheet\Writer\IWriter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setPreCalculateFormulas"></a>
                        <div class="element clickable methodpublic method_setPreCalculateFormulas inherited" data-toggle="collapse" data-target=".method_setPreCalculateFormulas .collapse">
                            <h2>Set Pre-Calculate Formulas
       Set to true (the default) to advise the Writer to calculate all formulae on save
       Set to false to prevent precalculation of formulae on save.</h2>
                            <pre>setPreCalculateFormulas(boolean $pValue): \PhpOffice\PhpSpreadsheet\Writer\IWriter</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p><p>Pre-Calculate Formulas?</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.IWriter.html">\PhpOffice\PhpSpreadsheet\Writer\IWriter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setSpreadsheet"></a>
                        <div class="element clickable methodpublic method_setSpreadsheet" data-toggle="collapse" data-target=".method_setSpreadsheet .collapse">
                            <h2>Set Spreadsheet object.</h2>
                            <pre>setSpreadsheet(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet): self</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p><p>PhpSpreadsheet object</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>self</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setUseDiskCaching"></a>
                        <div class="element clickable methodpublic method_setUseDiskCaching inherited" data-toggle="collapse" data-target=".method_setUseDiskCaching .collapse">
                            <h2>Set use disk caching where possible?</h2>
                            <pre>setUseDiskCaching(boolean $pValue,string $pDirectory = null): \PhpOffice\PhpSpreadsheet\Writer\IWriter</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pDirectory</h4>
                                                <code>string</code><p><p>Disk caching directory</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.IWriter.html">\PhpOffice\PhpSpreadsheet\Writer\IWriter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_writerParts"> </a>
                            <div class="element clickable propertyprivate property_writerParts" data-toggle="collapse" data-target=".property_writerParts .collapse">
                                <h2>Private writer parts.</h2>
                                <pre>writerParts :array&lt;mixed,\PhpOffice\PhpSpreadsheet\Writer\Ods\WriterPart&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Ods.WriterPart.html">\PhpOffice\PhpSpreadsheet\Writer\Ods\WriterPart</a>&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_spreadSheet"> </a>
                            <div class="element clickable propertyprivate property_spreadSheet" data-toggle="collapse" data-target=".property_spreadSheet .collapse">
                                <h2>Private PhpSpreadsheet.</h2>
                                <pre>spreadSheet :\PhpOffice\PhpSpreadsheet\Spreadsheet</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_includeCharts"> </a>
                            <div class="element clickable propertyprotected property_includeCharts inherited" data-toggle="collapse" data-target=".property_includeCharts .collapse">
                                <h2>Write charts that are defined in the workbook?
Identifies whether the Writer should write definitions for any charts that exist in the PhpSpreadsheet object;.</h2>
                                <pre>includeCharts :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_preCalculateFormulas"> </a>
                            <div class="element clickable propertyprotected property_preCalculateFormulas inherited" data-toggle="collapse" data-target=".property_preCalculateFormulas .collapse">
                                <h2>Pre-calculate formulas
Forces PhpSpreadsheet to recalculate all formulae in a workbook when saving, so that the pre-calculated values are
immediately available to MS Excel or other office spreadsheet viewer when opening the file.</h2>
                                <pre>preCalculateFormulas :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_useDiskCaching"> </a>
                            <div class="element clickable propertyprivate property_useDiskCaching inherited" data-toggle="collapse" data-target=".property_useDiskCaching .collapse">
                                <h2>Use disk caching where possible?</h2>
                                <pre>useDiskCaching :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_diskCachingDirectory"> </a>
                            <div class="element clickable propertyprivate property_diskCachingDirectory inherited" data-toggle="collapse" data-target=".property_diskCachingDirectory .collapse">
                                <h2>Disk caching directory.</h2>
                                <pre>diskCachingDirectory :string</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Writer\Ods"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Writer.html">Writer</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Ods.html">Ods</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:46 +0000.<br/>
    </footer></body>
</html>
